<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};
	
	/* ----------------------- VIEW ---------------------- */
	var popupView = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Approve', icon: 'accept', klass: 'approve', action: function () {
				this.content.getFirst('form').set('action', '/private-messages/view?act=approve');
				Cubix.Grid.Instance = grid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					
				});
			} },
			{ caption: 'Disable', icon: 'delete', klass: 'disable', action: function () {
				this.content.getFirst('form').set('action', '/private-messages/view?act=disable');
				Cubix.Grid.Instance = grid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {

				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 700
	});
		
	popupView.addEvent('loaded', function () {
		var cur_status = $('cur-status').get('value');
		
		if (cur_status == 'feedback-approved'/* || cur_status == 'feedback-disabled'*/)
		{			
			$$('.disable').hide();
			$$('.approve').hide();
		}
		else if (cur_status == 'feedback-disabled')
		{
			$$('.disable').hide();
			$$('.approve').show();
		}
		else
		{
			$$('.disable').show();
			$$('.approve').show();
		}
	});	
	/* ----------------------- END VIEW ---------------------- */
	
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: '<input type="checkbox" id="select-all" />', field: 'status', type: 'CheckboxFeedback', width: '15px' },
            { title: 'Showname', field: 'showname', type: 'string', sortable: true, width: '120px' },
			{ title: 'Username', field: 'username', type: 'string', sortable: true, width: '120px' },
			{ title: 'Reciever', field: 'reciever', type: 'string', sortable: true, width: '120px' },
            { title: 'Message', field: 'message', type: 'string', sortable: true },
			{ title: 'Status', field: 'status', type: 'FeedbackStatus', sortable: true, width: '60px' }, 
			{ title: 'Flag', field: 'flag', type: 'FeedbackFlag', sortable: true, width: '60px' },
			{ title: 'Date', field: 'date', type: 'DateTime', sortable: true, width: '70px' }
		],
		sort: {
			field: 'id',
			dir: 'desc'
		},
		actions: [ { type: 'view', func: function (data) {
			popupView.setTitle('View Private Message');
			popupView.load('/private-messages/view?id=' + data.id, function () {
				this.open();
			});
		} } ],
		data: new Cubix.Grid.Loader({ url: '/private-messages/data', params: getFilterParams })
	});
	
	grid.addEvent('loaded', function () {
		$('select-all').set('checked', '');
		
		$('select-all').addEvent('click', function() {
			if ( this.get('checked') )
			{
				$$('table input[type=checkbox]').each(function(it){
					if ( it.get('id') != 'select-all' && !it.get('disabled'))
						it.set('checked', 'checked');
				});
			}
			else
			{
				$$('table input[type=checkbox]').each(function(it){
					if ( it.get('id') != 'select-all' )
						it.set('checked', '');
				});
			}
		});
	});
	
	new Cubix.Button($('btn-app-send'), { onClick: function () {
		var ids = getCheckedIds();

		if ( ids )
		{
			if ( confirm('Are you sure you want to approve this message?') ) {
				grid.overlay.disable();
				new Request({
					url: '/private-messages/delete',
					data: ids,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		}
		else
		{
			alert('Please select some message(s) to perform action with !');
		}
	}, icon: 'accept', caption: 'Approve and Send', classes: 'mr10' });
	
	new Cubix.Button($('btn-dis'), { onClick: function () {
		var ids = getCheckedIds();

		if ( ids )
		{
			if ( confirm('Are you sure you want to disable this message?') ) {
				grid.overlay.disable();
				new Request({
					url: '/private-messages/delete?act=disable',
					data: ids,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		}
		else
		{
			alert('Please select some message(s) to perform action with !');
		}
	}, icon: 'delete', caption: 'Disable', classes: 'mr10' });
	
	function getCheckedIds()
	{
		var ids = '';
		$$('table input[type=checkbox]').each(function(it){
			if ( it.get('id') != 'select-all' && it.get('checked') )
				ids += 'id[]=' + it.value + '&';
		});

		return ids;
	}

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });


    var selects = $$('.filter-form')[0].getElements('select');

    selects.each(function(it) {
		it.addEvent('change', function(){
			grid.load();
		});
    });
};
</script>

<style type="text/css">
	#faq_types input.checkbox { display: block; float: left }
	#faq_types label { float: left }
	#types { margin-bottom: 10px; }

    #legend { margin:20px 0 10px 0; border: 1px solid #ccc; width:440px; padding:10px }

	#legend .color-disabled { height: 20px; width:20px; background-color: #EEEEEE; float:left; border: 1px solid #ccc }
	#legend .color-non-send { height: 20px; width:20px; background-color: #FFFFFF; float:left; border: 1px solid #ccc }
	#legend .color-delivered { height: 20px; width:20px; background-color: #EFFFEF; float:left; border: 1px solid #ccc }
	#legend .color-non-delivered { height: 20px; width:20px; background-color: #FED0D9; float:left; border: 1px solid #ccc }
	#legend .color-non-delivered-email { height: 20px; width:20px; background-color: #BDE5FD; float:left; border: 1px solid #ccc }

	#legend .text { float:left; margin:3px 10px 0 3px }
</style>

<? $defines = Zend_Registry::get('defines'); ?>

<div class="form-common gray">
    <form class="filter-form">
		<fieldset class="inner mb10">
			<div class="inner">
				<label for="showname">Showname</label>
				<input id="showname" type="text" class="txt w18" name="showname" value="" />
			</div>
			<div class="inner">
				<label for="escort_id">Escort ID</label>
				<input id="escort_id" type="text" class="txt w6" name="escort_id" value="" />
			</div>
			<div class="inner">
				<label for="username">Username</label>
				<input id="username" type="text" class="txt w18" name="username" value="" />
			</div>
			 <div class="inner">
                <label for="flag">Flag</label>
                <select class="w13" id="flag" name="flag">
                    <option value=""> - any - </option>
					<? foreach ($defines['pm_flags'] as $k => $v): ?>
                    <option value="<?= $k ?>"><?= $v ?></option>
					<? endforeach; ?>
                </select>
            </div>
			<div class="inner">
				<label for="status">Status</label>
				<select class="w10" id="status" name="status">
					<option value=""> - any - </option>
					<? foreach ($defines['pm_status'] as $k => $v): ?>
					<option value="<?= $k ?>"><?= $v ?></option>
					<? endforeach; ?>
				</select>
			</div>
		</fieldset>
		<div class="clear"></div>
		<a id="btn-refresh"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->
<div id="legend">
	<div class="color-non-send"></div>
	<p class="text"> - <?= $defines['PM_status'][PM_STATUS_NOT_APPROVED] ?></p>
	
	<div class="color-delivered"></div>
	<p class="text"> - <?= $defines['PM_status'][PM_STATUS_APPROVED] ?></p>

	<div class="color-disabled"></div>
	<p class="text"> - <?= $defines['PM_status'][PM_STATUS_DISABLED] ?></p>
	
	<div class="color-non-delivered"></div>
	<p class="text"> - <?= $defines['PM_flags'][PM_FLAG_BLOCKED_BY_WORD] ?></p>
	
	<div class="color-non-delivered-email"></div>
	<p class="text"> - <?= $defines['PM_flags'][PM_FLAG_BLOCKED_BY_USER] ?></p>

	<div class="clear"></div>
</div>

<div class="action-bar">
	<a href="" id='btn-app-send'></a>
	<a href="" id='btn-dis'></a>
	
	<div class="clear"></div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
